/*
 * Comm.h
 *
 *  Created on: Apr 7, 2018
 *      Author: armin
 */

#ifndef COMM_H_
#define COMM_H_

#include <string>

namespace comm {
class Work;
} /* namespace comm */

namespace comm {

class Comm {
 private:
  int port;
  std::string host;
  int sock;

  bool conn();
  std::string retrieve();
  void disconnect();

 public:
  Comm(std::string host, int port);

  comm::Work getWork();

  virtual ~Comm();
};

}  // namespace comm

#endif /* COMM_H_ */
